be.ehealth.businessconnector.mycarenet.memberdatav2.builders.regional

## Class IrisCareNetRequestObjectBuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.memberdatav2.builders.regional.IrisCareNetRequestObjectBuilderFactory

-     public final class IrisCareNetRequestObjectBuilderFactory
      extends Object

  Factory for all Builders that are necessary to create a request for MemberData IrisCareNet Sync. Creates a `RequestObjectBuilder`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestObjectBuilder` | `getEncryptedRequestObjectBuilder()` Retrieve an instance of a `IrisCareNetEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property ).
    `static RequestObjectBuilder` | `getNotEncryptedRequestObjectBuilder()` Retrieve an instance of a `IrisCareNetNotEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEncryptedRequestObjectBuilder

          public static RequestObjectBuilder getEncryptedRequestObjectBuilder()
                                                                       throws TechnicalConnectorException

      Retrieve an instance of a `IrisCareNetEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property ). By default, it would be
      Returns:
        `EncryptedRequestObjectBuilderImpl` the instance of the `RequestObjectBuilder`
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getNotEncryptedRequestObjectBuilder

          public static RequestObjectBuilder getNotEncryptedRequestObjectBuilder()
                                                                          throws TechnicalConnectorException

      Retrieve an instance of a `IrisCareNetNotEncryptedRequestObjectBuilder` The implementation could be a custom class defined in the configuration file (property ). By default, it would be
      Returns:
        `NotEncryptedRequestObjectBuilderImpl` the instance of the `RequestObjectBuilder`
      Throws:
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.